<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.2/raphael-min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.0/morris.min.js"></script>







<script type="text/javascript">




google.charts.load('current', {'packages':['corechart', 'timeline']});
google.charts.setOnLoadCallback(drawChart);




function drawChart() {




// add new chart


var values = [],
    labels = [],
    legends = true,
    legendsElement = $('#TicketByDepartmentLegends'),
    colors = ['orange','forestgreen','crimson','#e67157'];


$("#TicketByDepartment tr").each(function () {
  values.push(parseInt($("td", this).text(), 10));

  labels.push($("th", this).text());

});


$("#TicketByDepartment").hide();
var r = Raphael("DonutTicketsByDepartment", 200, 200);
r.donutChart(100, 100, 88, 35, values, labels, colors, legends, legendsElement, colors);





	var width = document.getElementById('monthly_stats').offsetWidth;

	/* pie chart with monthly summary */

	var data = google.visualization.arrayToDataTable([
		['Status', 'Time'],
		['Freechat',     <?= $monthly['freechatTime'] ?>],
		['Group',     <?= $monthly['groupTime'] ?>],
		['Private',      <?= $monthly['privateTime'] ?>]
	]);
	//var options = { backgroundColor: '#ffffff', legend: 'none', pieHole: 0.6, width: 300, height: 290 };
	//var chart = new google.visualization.PieChart(document.getElementById('piechart'));
	//chart.draw(data, options);

	/* stacked bar chart with daily info */

	var data2 = google.visualization.arrayToDataTable([
		['Status', 'Freechat', 'Private', 'Group', 'Away', { role: 'annotation' } ],

		<? foreach ($daily as $d): ?>
		['<?= $d['dayOrd'] ?>', <?= $d['freechatTime']/3600 ?>, <?= $d['privateTime']/3600 ?>, <?= $d['groupTime']/3600 ?>, <?= $d['awayTime']/3600 ?>, ''],
		<? endforeach; ?>
	]);

	var options2 = {
		legend: { position: 'top', maxLines: 3 },
		bar: { groupWidth: '75%' },
		isStacked: true,
		
	//	height: <?= $daysinmonth*25 + 50 ?>,
	responsive: true,
    maintainAspectRatio: false,
		backgroundColor:'<?= $chartcolor?>',
		titleTextStyle: {
  	color: '<?= $chartTextcolor?>'
	},
hAxis: {
  textStyle: {
    color: '<?= $chartTextcolor?>'
  }
},
vAxis: {
  textStyle: {
    color: '<?= $chartTextcolor?>'
  }
}
	};

	var chart2 = new google.visualization.ColumnChart(document.getElementById('dailychart'));
	chart2.draw(data2, options2);

	/* timeline chart */

    var colorMap = {
        'freechat': '#3366cc',
        'private': '#dc3912',
        'members': 'purple',
        'away': '#109618',
		'offline': 'white'
    };

    var chart3 = new google.visualization.Timeline(document.getElementById('timelinechart'));
    var data3 = new google.visualization.DataTable();

    data3.addColumn({ type: 'string', id: 'Position' });
    data3.addColumn({ type: 'string', id: 'Name' });
	data3.addColumn({ type: 'string', role: 'style' });
    data3.addColumn({ type: 'date', id: 'Start' });
    data3.addColumn({ type: 'date', id: 'End' });
    data3.addRows([

	/*
		['1', 'freechat', 'white', new Date(<?= $startEpoch*1000 ?>), new Date(<?= $startEpoch*1000 ?>)],
		['1', 'private', 'white', new Date(<?= $startEpoch*1000 ?>), new Date(<?= $startEpoch*1000 ?>)],
		['1', 'members', 'white', new Date(<?= $startEpoch*1000 ?>), new Date(<?= $startEpoch*1000 ?>)],
		['1', 'away', 'white', new Date(<?= $startEpoch*1000 ?>), new Date(<?= $startEpoch*1000 ?>)],
	*/

	/*
		['1', 'freechat', new Date(<?= ($startEpoch+82800)*1000 ?>), new Date(<?= ($startEpoch+82800)*1000 ?>)],
		['1', 'private', new Date(<?= ($startEpoch+82800)*1000 ?>), new Date(<?= ($startEpoch+82800)*1000 ?>)],
		['1', 'members', new Date(<?= ($startEpoch+82800)*1000 ?>), new Date(<?= ($startEpoch+82800)*1000 ?>)],
		['1', 'away', new Date(<?= ($startEpoch+82800)*1000 ?>), new Date(<?= ($startEpoch+82800)*1000 ?>)],
	*/

		/*** need to check if epochTime+statusTime crosses midnight ***/
	<? foreach ($history as $h): ?>

<? if($h['status'] == 'f')$h['status'] = 'Freechat Show' ?>
<? if($h['status'] == 'o')$h['status'] = 'Offline ' ?>
<? if($h['status'] == 'p')$h['status'] = 'Private Show' ?>
<? if($h['status'] == 'g')$h['status'] = 'Group Show' ?>
		['<?= $h['day'] ?>', '<?= ucfirst($model['nickname']) ?> <?= $h['status'] ?>', colorMap[ '<?= $h['status'] ?>' ], new Date(<?= $h['epochTime']*1000 ?>), new Date(<?= ($h['epochTime']+$h['statusTime'])*1000 ?>)],
	<? endforeach; ?>
    ]);

	//
	// dataTable for chart3
	//

	/*
	var colors = [];
    var colorMap = {
        // should contain a map of category -> color for every category
        'freechat': '#e63b6f',
        'private': '#19c362',
        'members': '#592df7',
        'away': '#ffffff',
		'offline': 'white'
    };

    for (var i = 0; i < data3.getNumberOfRows() && i<20; i++) {
		console.log(i + " " + data3.getValue(i, 1));
        colors.push(colorMap[data3.getValue(i, 1)]);
    }
	*/

	var options3 = {
		backgroundColor:'<?= $chartcolor?>',
		height: <?= $daysinmonth*25 + 50 ?>,
	//width: 600,
    responsive: true, // Instruct chart js to respond nicely.
    maintainAspectRatio: true, // Add to prevent default behaviour of full-width/height
		timeline: { showBarLabels: false, hAxis: {color: '#111' } },
		avoidOverlappingGridLines: false,
		legend: { position: 'top', maxLines: 4 },
		hAxis: {color: '#111' },
		/*rowLabelStyle: { fontSize: 6 }, barLabelStyle: { fontSize: 6 },*/
		timeline: { barLabelStyle: { fontSize: 6 }, showBarLabels: false },
		//colors: colors
		hAxis: {
			minValue: new Date(<?= $startEpoch ?>*1000),
			maxValue: new Date(<?= $startEpoch ?>*1000)
		},
		titleTextStyle: {
  	color: '<?= $chartTextcolor?>'
	},
hAxis: {
  textStyle: {
    color: '<?= $chartTextcolor?>'
  }
},
vAxis: {
  textStyle: {
    color: '<?= $chartTextcolor?>'
  }
}
	};

	/* change xAxis to labels to white */

	google.visualization.events.addListener(chart3, 'ready', function () {
		var labels = document.getElementById('timelinechart').getElementsByTagName('text');
		Array.prototype.forEach.call(labels, function(label) {
			if (label.getAttribute('text-anchor') === 'middle') {
				label.setAttribute('fill', '#c1c1c1');
			}
		});
	});

    chart3.draw(data3, options3);

}
</script>
